> For the complete documentation index, see [llms.txt](https://docs.terrakube.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terrakube.io/2.18.0/api/methods/personal-access-token.md).

# Personal Access Token

This endpoint is used to create, update, search or delete organizations information inside Terrakube.

### Entity fields:

| Path        | Type   | Description                               |
| ----------- | ------ | ----------------------------------------- |
| days        | string | Numbere of days for the token to be valid |
| description | string | Some sample description for the token     |

### Example:

```
{
    "days": 7,
    "description": "Sample Personal Access Token"
}
```

### Supported Operations

<mark style="color:green;">`POST`</mark> `/api/v1`

#### Request Body

| Name                                          | Type   | Description       |
| --------------------------------------------- | ------ | ----------------- |
| days<mark style="color:red;">\*</mark>        | int    | Number of days    |
| description<mark style="color:red;">\*</mark> | String | Token description |

<mark style="color:blue;">`GET`</mark> `/pat/v1`

Get all the personal access token generated by the user


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terrakube.io/2.18.0/api/methods/personal-access-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
